Find Partner Invoices (Advanced)
curl --request POST \
--url https://api.eflow.team/v1/networks/billings/affiliates/invoicestable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"search_terms": [],
"filters": {
"status": "unpaid"
}
}
'import requests
url = "https://api.eflow.team/v1/networks/billings/affiliates/invoicestable"
payload = {
"search_terms": [],
"filters": { "status": "unpaid" }
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({search_terms: [], filters: {status: 'unpaid'}})
};
fetch('https://api.eflow.team/v1/networks/billings/affiliates/invoicestable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoices": [
{
"network_affiliate_invoice_id": 123,
"network_id": 123,
"network_affiliate_id": 123,
"network_affiliate_name": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"timezone_id": 123,
"balance": 123,
"billed": 123,
"paid": 123,
"currency_id": "<string>",
"payment_terms": 123,
"is_hidden_affiliate": true,
"public_notes": "<string>",
"internal_notes": "<string>",
"payment_type": "<string>",
"is_payable": true,
"payment_status": "<string>",
"paid_date": 123,
"time_created": 1734455015,
"time_saved": 1734455015
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Invoices
Find Partner Invoices (Advanced)
POST
/
networks
/
billings
/
affiliates
/
invoicestable
Find Partner Invoices (Advanced)
Retrieve a paginated list of partner (affiliate) invoices. Supports search filters, sorting, and pagination to help you find and browse invoices programmatically. Filter by affiliate IDs, invoice IDs, date ranges, balance ranges, status, and payment terms.
Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
Page number (1-based).
Number of results per page.
Body
application/json
Was this page helpful?
⌘I
